com.thinkaurelius.titan.graphdb.types.vertices

## Class RelationTypeVertex

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.internal.AbstractElement
  - - com.thinkaurelius.titan.graphdb.vertices.AbstractVertex
    - - com.thinkaurelius.titan.graphdb.vertices.StandardVertex
      - - com.thinkaurelius.titan.graphdb.vertices.CacheVertex
        - - com.thinkaurelius.titan.graphdb.types.vertices.TitanSchemaVertex
          - - com.thinkaurelius.titan.graphdb.types.vertices.RelationTypeVertex

- All Implemented Interfaces:
    Idfiable, Namifiable, RelationType, TitanSchemaElement, TitanSchemaType, TitanElement, TitanVertex, InternalElement, InternalRelationType, InternalVertex, SchemaSource, Removable, com.tinkerpop.blueprints.Element, com.tinkerpop.blueprints.Vertex, Comparable<TitanElement>
  Direct Known Subclasses:
    EdgeLabelVertex, PropertyKeyVertex

      public abstract class RelationTypeVertex
      extends TitanSchemaVertex
      implements InternalRelationType

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.thinkaurelius.titan.graphdb.types.SchemaSource

      `SchemaSource.Entry`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RelationTypeVertex(StandardTitanTx tx, long id, byte lifecycle)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InternalRelationType` | `getBaseType()`
    `ConsistencyModifier` | `getConsistencyModifier()`
    `Iterable<IndexType>` | `getKeyIndexes()`
    `Multiplicity` | `getMultiplicity()`
    `Iterable<InternalRelationType>` | `getRelationIndexes()`
    `long[]` | `getSignature()`
    `long[]` | `getSortKey()`
    `Order` | `getSortOrder()`
    `Integer` | `getTTL()`
    `boolean` | `isHiddenType()`
    `void` | `resetCache()` Resets the internal caches used to speed up lookups on this index type.

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.types.vertices.TitanSchemaVertex

      `asIndexType, getDefinition, getEdges, getEdges, getName, getRelated, getStatus, getVertexLabelInternal, toString`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.vertices.CacheVertex

      `addToQueryCache, hasLoadedRelations, loadRelations`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.vertices.StandardVertex

      `addRelation, getAddedRelations, getLifeCycle, hasAddedRelations, hasRemovedRelations, remove, removeRelation, updateLifeCycle`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.vertices.AbstractVertex

      `addEdge, addEdge, addEdge, addProperty, addProperty, getCompareId, getEdgeCount, getEdges, getEdges, getId, getLabel, getProperties, getProperties, getProperties, getProperty, getProperty, getPropertyCount, getPropertyKeys, getRelations, getTitanEdges, getVertexLabel, getVertices, isConnected, isModified, it, query, removeProperty, removeProperty, setProperty, setProperty, tx`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.internal.AbstractElement

      `clone, compare, compareTo, equals, getLongId, hashCode, hasId, isHidden, isLoaded, isNew, isRemoved, isTemporaryId, setId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalRelationType

      `getStatus, isUnidirected`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.RelationType

      `isEdgeLabel, isPropertyKey`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.Namifiable

      `getName`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalVertex

      `addRelation, getAddedRelations, hasAddedRelations, hasLoadedRelations, hasRemovedRelations, it, loadRelations, query, removeRelation`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanVertex

      `addEdge, addEdge, addProperty, addProperty, getEdgeCount, getEdges, getEdges, getLabel, getProperties, getProperties, getProperties, getPropertyCount, getRelations, getTitanEdges, getVertexLabel, isConnected, isModified`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Vertex

      `addEdge, getVertices`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalElement

      `getLifeCycle, isHidden, setId, tx`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanElement

      `getId, getLongId, getProperty, getProperty, hasId, isLoaded, isNew, isRemoved, remove, removeProperty, removeProperty, setProperty, setProperty`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Element

      `getPropertyKeys`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.types.SchemaSource

      `getLongId`

- - ### Constructor Detail

    - #### RelationTypeVertex

          public RelationTypeVertex(StandardTitanTx tx,
                            long id,
                            byte lifecycle)

  - ### Method Detail

    - #### getSortKey

          public long[] getSortKey()

      Specified by:
        `getSortKey` in interface `InternalRelationType`

    - #### getSortOrder

          public Order getSortOrder()

      Specified by:
        `getSortOrder` in interface `InternalRelationType`

    - #### getSignature

          public long[] getSignature()

      Specified by:
        `getSignature` in interface `InternalRelationType`

    - #### isHiddenType

          public boolean isHiddenType()

      Specified by:
        `isHiddenType` in interface `InternalRelationType`

    - #### getMultiplicity

          public Multiplicity getMultiplicity()

      Specified by:
        `getMultiplicity` in interface `InternalRelationType`

    - #### getConsistencyModifier

          public ConsistencyModifier getConsistencyModifier()

      Specified by:
        `getConsistencyModifier` in interface `InternalRelationType`

    - #### getTTL

          public Integer getTTL()

      Specified by:
        `getTTL` in interface `InternalRelationType`

    - #### getBaseType

          public InternalRelationType getBaseType()

      Specified by:
        `getBaseType` in interface `InternalRelationType`

    - #### getRelationIndexes

          public Iterable<InternalRelationType> getRelationIndexes()

      Specified by:
        `getRelationIndexes` in interface `InternalRelationType`

    - #### getKeyIndexes

          public Iterable<IndexType> getKeyIndexes()

      Specified by:
        `getKeyIndexes` in interface `InternalRelationType`

    - #### resetCache

          public void resetCache()

      Description copied from class: `TitanSchemaVertex`
      Resets the internal caches used to speed up lookups on this index type. This is needed when the type gets modified in the `ManagementSystem`.
      Specified by:
        `resetCache` in interface `SchemaSource`
      Overrides:
        `resetCache` in class `TitanSchemaVertex`

Copyright © 2012–2014. All rights reserved.